version: "3.6"

services:
  dmarc-report:
    image: "gutmensch/dmarc-report:latest"
    hostname: dmarc-report
    container_name: dmarc-report
    depends_on:
      db_dmark:
        condition: service_healthy
    ports:
      - "80:80"
    environment:
      - "REPORT_DB_HOST=db_dmark"
      - "REPORT_DB_PORT=3306"
      - "REPORT_DB_NAME=dmarc_report"
      - "REPORT_DB_USER=dmarc_report"
      - "REPORT_DB_PASS=dbpassword"
      - "PARSER_IMAP_SERVER=mail.skynet.ie"
      - "PARSER_IMAP_PORT=143"
      - "PARSER_IMAP_USER=${IMAP_USER}"
      - "PARSER_IMAP_PASS=${IMAP_PASS}"
      - "PARSER_IMAP_READ_FOLDER=mailman"
      - "PARSER_IMAP_MOVE_FOLDER=mailman.processed"
      - "PARSER_IMAP_MOVE_FOLDER_ERR=mailman.error"

  db_dmark:
    image: mariadb:10
    command: --skip-innodb-read-only-compressed
    environment:
      - "MYSQL_ROOT_PASSWORD=dbrootpassword"
      - "MYSQL_DATABASE=dmarc_report"
      - "MYSQL_USER=dmarc_report"
      - "MYSQL_PASSWORD=dbpassword"
    volumes:
      - ./dmarc-report-db:/var/lib/mysql
    healthcheck:
      test: ["CMD", "mysqladmin", "ping", "-h", "localhost", "-uroot", "-pdbrootpassword"]
      interval: 10s
      timeout: 10s
      retries: 5